6.0.0-git
2019-12-06

[#4502] Auth:: plugins/improvements
Summary Auth:: plugins/improvements
Queue Horde Framework Packages
Queue Version HEAD
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester chuck (at) horde (dot) org
Created 2006-10-07 (4808 days ago)
Due
Updated 2011-07-27 (3054 days ago)
Assigned
Resolved
Milestone Horde 4.0
Patch No

History
2008-11-09 02:33:13 Chuck Hagenbuch State ⇒ Accepted
 
2007-05-17 21:10:01 Chuck Hagenbuch Comment #10
New Attachment: Auth_TypeKey.php Download
Reply to this comment
A typekey implementation. Not ideal since it requires bcmath or gmp, 
but that may be unavoidable.
2007-05-13 04:27:15 Chuck Hagenbuch State ⇒ Stalled
 
2006-11-19 23:21:33 Chuck Hagenbuch Comment #7 Reply to this comment
Horde 4.0 milestone
2006-10-29 03:43:47 Chuck Hagenbuch Comment #6 Reply to this comment
2006-10-27 03:55:50 Chuck Hagenbuch Comment #5 Reply to this comment
More notes on OpenID, TypeKey, Yahoo BBAuth, etc:

http://netevil.org/node.php?nid=924
2006-10-17 16:20:56 Chuck Hagenbuch Comment #4 Reply to this comment
Add a Horde 4.0 milestone to this ticket; should add it to others so 
we can start collecting things.
2006-10-07 22:16:48 Chuck Hagenbuch Comment #1
Type ⇒ Enhancement
State ⇒ Accepted
Priority ⇒ 1. Low
Summary ⇒ Auth:: plugins/improvements
Queue ⇒ Horde Framework Packages
Reply to this comment
Look at adding support for some more flexible auth backends. See:

   http://code.google.com/apis/accounts/AuthForWebApps.html

   http://developer.yahoo.com/auth/

   http://whobar.org/



Also, from another project's experience:

"You may already have this covered, but if not ... you might want to 
allow for **non** username + password authentication.  Things like 
TypeKey, OpenID, and various single signon systems work using a vastly 
different algo than username+password, and you may wish to take that 
into account. PEAR Auth suffers from that problem; Solar_Auth and its 
adapters I had to almost completely rewrite to allow for both kinds of 
processing.)"

Saved Queries